aboutsummaryrefslogtreecommitdiffstats
path: root/hooks/start-commit.tmpl
diff options
context:
space:
mode:
authorwhiteshark0 <whiteshark0@b956fd51-792f-4845-bead-9b4dfca2ff2c>2007-06-16 09:31:40 +0000
committerwhiteshark0 <whiteshark0@b956fd51-792f-4845-bead-9b4dfca2ff2c>2007-06-16 09:31:40 +0000
commita5edf603c98975c4f681dfb58510412d832b45b0 (patch)
tree2c597ca2dc638e1b236636c2d337fc987e126f51 /hooks/start-commit.tmpl
parent4cf257760367a59740e80cbb34dcc3a0ef6adedc (diff)
downloadusdx-a5edf603c98975c4f681dfb58510412d832b45b0.tar.gz
usdx-a5edf603c98975c4f681dfb58510412d832b45b0.tar.xz
usdx-a5edf603c98975c4f681dfb58510412d832b45b0.zip
git-svn-id: svn://svn.code.sf.net/p/ultrastardx/svn/trunk@264 b956fd51-792f-4845-bead-9b4dfca2ff2c
Diffstat (limited to 'hooks/start-commit.tmpl')
-rw-r--r--hooks/start-commit.tmpl54
1 files changed, 54 insertions, 0 deletions
diff --git a/hooks/start-commit.tmpl b/hooks/start-commit.tmpl
new file mode 100644
index 00000000..e7707482
--- /dev/null
+++ b/hooks/start-commit.tmpl
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# START-COMMIT HOOK
+#
+# The start-commit hook is invoked before a Subversion txn is created
+# in the process of doing a commit. Subversion runs this hook
+# by invoking a program (script, executable, binary, etc.) named
+# 'start-commit' (for which this file is a template)
+# with the following ordered arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] USER (the authenticated user attempting to commit)
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the commit continues; but
+# if it exits with failure (non-zero), the commit is stopped before
+# a Subversion txn is created, and STDERR is returned to the client.
+#
+# On a Unix system, the normal procedure is to have 'start-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'start-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'start-commit.bat' or 'start-commit.exe',
+# but the basic idea is the same.
+#
+# The hook program typically does not inherit the environment of
+# its parent process. For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# the Subversion repository at
+# http://svn.collab.net/repos/svn/trunk/tools/hook-scripts/ and
+# http://svn.collab.net/repos/svn/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+USER="$2"
+
+commit-allower.pl --repository "$REPOS" --user "$USER" || exit 1
+special-auth-check.py --user "$USER" --auth-level 3 || exit 1
+
+# All checks passed, so allow the commit.
+exit 0